@import url('https://fonts.googleapis.com/css2?family=Cause:wght@100..900&display=swap');
body{
	min-height: 100dvh;
	background: url("qr.ico");
	background-position: center;
	background-size: cover
}
body, main, section{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	row-gap: 10px;
}
input::placeholder{
	font-style: italic;
}
main > div {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 250px; 
	height: 250px;
}
main > div canvas, 
main > div img {
	width: 100% !important;
	height: 100% !important;
	object-fit: contain;
}
canvas[hidden] {
	display: none;
}
canvas{
	border: solid;
}
button{
	height: 10.8dvh;
	width: 43.6dvw;
	background: blue;
	border: none;
	border-radius: 1000px;
	font-size: 1.5625rem;
	font-weight: bold;
	color: white;
	text-shadow: 0 0 10px white;
	box-shadow: 0 0 10px lightblue;
	transition: all 0.2s linear;
}
button:active{
	box-shadow: none;
	text-shadow: none;
}
button:hover{
	box-shadow: 0 0 15px lightblue;
	text-shadow: 0 0 15px white;
}
label{
	font-style: italic;
}
p{
	font-family: "Cause", cursive;
	color: white;
	font-weight: bold;
}
a{
	color: pink;
}
